#include <vxWorks.h>
#include <types.h>
#include <stdioLib.h>
#include <tickLib.h>
#include <dbDefs.h>
#include <dbAccess.h>
#include <dbCommon.h>

int timeproc(char *pvname,int ntime)
{
	unsigned long stime,etime,i;
	double totalTime,recordsPerSecond;
	struct dbAddr dbaddr;

	
	if(dbNameToAddr(pvname,&dbaddr)) {
		printf("dnNameToAddr failed\n");
		return(-1);
	}
	stime=tickGet();
	for(i=0;i<ntime;i++){
		(void)dbProcess((struct dbCommon *)dbaddr.precord);
	}
	etime=tickGet();
	totalTime=etime-stime;
	totalTime /= 60.0;
	recordsPerSecond = ntime/totalTime;
	printf("timeproc: N=%d totalTime=%e recordsPerSecond=%e",
		ntime,totalTime,recordsPerSecond);
	return(0);
}
