/* program: ezcaTemp.c */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <tsDefs.h>
#include <cadef.h>
#include <ezca.h>

#define MAX_PV_NAME_LEN 40
int main(int argc, char **argv)
{
    char *pvname = argv[1];
    char *value = argv[2];
    char getvalue[40];

/*    ezcaSetTimeout(2.0); */
    ezcaSetRetryCount(5);
    if(ezcaGet(pvname,ezcaString,1,getvalue)!=EZCA_OK) {
	ezcaPerror("ezcaGet: error\n");
    } else {
	printf("ezcaGet returned %s\n",getvalue);
    }
    if(ezcaPutOldCa(pvname,ezcaString,1,"test1")!=EZCA_OK) {
	ezcaPerror("ezcaPutOldCa error\n");
    } else {
	printf("ezcaPutOldCa OK\n");
    }
    if(ezcaGet(pvname,ezcaString,1,getvalue)!=EZCA_OK) {
	ezcaPerror("ezcaGet: error\n");
    } else {
	printf("ezcaGet returned %s\n",getvalue);
    }
    if(ezcaPut(pvname,ezcaString,1,"test2")!=EZCA_OK) {
	ezcaPerror("ezcaPut error\n");
    } else {
	printf("ezcaPut OK\n");
    }
    if(ezcaGet(pvname,ezcaString,1,getvalue)!=EZCA_OK) {
	ezcaPerror("ezcaGet: error\n");
    } else {
	printf("ezcaGet returned %s\n",getvalue);
    }
    return(0);
}
