/* lockTest.c */

#include        <vxWorks.h>
#include        <lstLib.h>
#include        <stdlib.h>
#include        <stdarg.h>
#include        <stdio.h>
#include        <string.h>
#include        <semLib.h>
#include        <tickLib.h>
#include        <sysLib.h>
#include        <taskLib.h>
 
#include        <dbDefs.h>
#include        <dbBase.h>
#include        <ellLib.h>
#include        <dbAccess.h>
#include        <dbStaticLib.h>
#include        <dbConvert.h>
#include        <dbCommon.h>
#include        <dbLock.h>
#include        <epicsPrint.h>
#include        <dbFldTypes.h>
#include        <errMdef.h>


int lockTest(char *pfield)
{
    DBADDR	addr;
    long	status;
    DBLINK	*plink;

    status = dbNameToAddr(pfield,&addr);
    plink = addr.pfield;
    if(plink->type != DB_LINK) {
	printf("Not a link field\n");
	return(-1);
    }
    plink->type = CONSTANT;
    dbLockSetSplit(addr.precord);
    return(0);
}
